if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

( cd usr/lib64 ; rm -rf libfreeciv-srv.so )
( cd usr/lib64 ; ln -sf libfreeciv-srv.so.0.0.0 libfreeciv-srv.so )
( cd usr/lib64 ; rm -rf libfreeciv-srv.so.0 )
( cd usr/lib64 ; ln -sf libfreeciv-srv.so.0.0.0 libfreeciv-srv.so.0 )
( cd usr/lib64 ; rm -rf libfreeciv.so )
( cd usr/lib64 ; ln -sf libfreeciv.so.0.0.0 libfreeciv.so )
( cd usr/lib64 ; rm -rf libfreeciv.so.0 )
( cd usr/lib64 ; ln -sf libfreeciv.so.0.0.0 libfreeciv.so.0 )
